readclose(3)

NAME
readclose - read a whole file into a stralloc

SYNTAX
#include <readclose.h> int readclose(int fd,stralloc* sa,unsigned int bufsize);

DESCRIPTION
readclose reads the whole content into the stralloc sa. The file is read in chunks of bufsize bytes size. If everything worked fine, readclose returns 0. On error, readclose returns -1 and sets errno appropriately.

SEE ALSO
open_read(3), openreadclose(3), readclose_append(3)